using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using LLNet.Utils;
using LLNet.GUI;

namespace LLNet.Tienda.MainForms.Forms
{
    public partial class FrmOpcGrupoPago : GUI.FormBases.frmBase
    {
        private eTipoPago vTipoPago = eTipoPago.Ninguno;

        public FrmOpcGrupoPago()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Devuelve el tipo de pago seleccionado
        /// </summary>
        public eTipoPago TipoPago
        {
            get
            {
                return this.vTipoPago;
            }
        }

        /// <summary>
        /// Tipo de pago
        /// </summary>
        public enum eTipoPago
        {
            Contado,
            Credito,
            Ninguno
        }

        #region btnCancelar_Click
        private void btnCancelar_Click(object sender, EventArgs e)
        {
            this.vTipoPago = eTipoPago.Ninguno;
            this.Dispose();
        }
        #endregion

        #region FrmOpcGrupoPago_KeyDown
        private void FrmOpcGrupoPago_KeyDown(object sender, KeyEventArgs e)
        {
            try
            {
                switch (e.KeyCode)
                {
                    case Keys.F12:
                        btnAceptar.PerformClick();
                        break;
                    case Keys.Escape:
                        btnCancelar.PerformClick();
                        break;
                }
            }
            catch (Exception ex)
            {
                CApp.ShowMessage(ex.Message, "Opciones", true);
            }
        }
        #endregion

        #region btnAceptar_Click
        private void btnAceptar_Click(object sender, EventArgs e)
        {
            try
            {
                if (rbtnContado.Checked)
                {
                    this.vTipoPago = eTipoPago.Contado;
                    this.Dispose();
                }
                else if (rbtnCrédito.Checked)
                {
                    this.vTipoPago = eTipoPago.Credito;
                    this.Dispose();
                }
                else
                {
                    CApp.ShowMessage("Seleccione un tipo de pago", "Opciones", true);
                }
            }
            catch (Exception ex)
            {
                CApp.ShowMessage(ex.Message, "Opciones", true);
            }
        }
        #endregion

        #region rbtn_CheckedChanged
        private void rbtn_CheckedChanged(object sender, EventArgs e)
        {
            try 
            {
                if (rbtnContado.Checked)
                {
                    rbtnCrédito.Checked = false;
                }
                else if (rbtnCrédito.Checked)
                {
                    rbtnContado.Checked = false;
                }
            }
            catch (Exception ex)
            {
                CApp.ShowMessage(ex.Message, "Opciones", true);
            }
        }
        #endregion
    }
}
